org.firebirdsql.jaybird.fb.constants

## Class DpbItems

- java.lang.Object
- - org.firebirdsql.jaybird.fb.constants.DpbItems

-     public final class DpbItems
      extends java.lang.Object

  Constants for DPB (database parameter buffer) items.
  Since:
    5
  Author:
    Mark Rotteveel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `isc_dpb_activate_shadow`
    `static int` | `isc_dpb_address_path`
    `static int` | `isc_dpb_allocation`
    `static int` | `isc_dpb_auth_block`
    `static int` | `isc_dpb_auth_plugin_list`
    `static int` | `isc_dpb_auth_plugin_name`
    `static int` | `isc_dpb_begin_log`
    `static int` | `isc_dpb_buffer_length`
    `static int` | `isc_dpb_cache_manager`
    `static int` | `isc_dpb_cdd_pathname`
    `static int` | `isc_dpb_clear_map`
    `static int` | `isc_dpb_client_version`
    `static int` | `isc_dpb_config`
    `static int` | `isc_dpb_connect_timeout`
    `static int` | `isc_dpb_damaged`
    `static int` | `isc_dpb_dbkey_scope`
    `static int` | `isc_dpb_debug`
    `static int` | `isc_dpb_decfloat_round`
    `static int` | `isc_dpb_decfloat_traps`
    `static int` | `isc_dpb_delete_shadow`
    `static int` | `isc_dpb_disable_journal`
    `static int` | `isc_dpb_disable_wal`
    `static int` | `isc_dpb_drop_walfile`
    `static int` | `isc_dpb_dummy_packet_interval`
    `static int` | `isc_dpb_enable_journal`
    `static int` | `isc_dpb_encrypt_key`
    `static int` | `isc_dpb_ext_call_depth`
    `static int` | `isc_dpb_force_write`
    `static int` | `isc_dpb_garbage_collect`
    `static int` | `isc_dpb_gbak_attach`
    `static int` | `isc_dpb_gfix_attach`
    `static int` | `isc_dpb_gsec_attach`
    `static int` | `isc_dpb_gstat_attach`
    `static int` | `isc_dpb_host_name`
    `static int` | `isc_dpb_interp`
    `static int` | `isc_dpb_journal`
    `static int` | `isc_dpb_lc_ctype`
    `static int` | `isc_dpb_lc_messages`
    `static int` | `isc_dpb_license`
    `static int` | `isc_dpb_map_attach`
    `static int` | `isc_dpb_no_db_triggers`
    `static int` | `isc_dpb_no_garbage_collect`
    `static int` | `isc_dpb_no_reserve`
    `static int` | `isc_dpb_nolinger`
    `static int` | `isc_dpb_num_buffers`
    `static int` | `isc_dpb_number_of_users`
    `static int` | `isc_dpb_old_dump_id`
    `static int` | `isc_dpb_old_file`
    `static int` | `isc_dpb_old_file_size`
    `static int` | `isc_dpb_old_num_files`
    `static int` | `isc_dpb_old_start_file`
    `static int` | `isc_dpb_old_start_page`
    `static int` | `isc_dpb_old_start_seqno`
    `static int` | `isc_dpb_online`
    `static int` | `isc_dpb_online_dump`
    `static int` | `isc_dpb_org_filename`
    `static int` | `isc_dpb_os_user`
    `static int` | `isc_dpb_overwrite`
    `static int` | `isc_dpb_page_size`
    `static int` | `isc_dpb_parallel_workers`
    `static int` | `isc_dpb_password`
    `static int` | `isc_dpb_password_enc`
    `static int` | `isc_dpb_process_id`
    `static int` | `isc_dpb_process_name`
    `static int` | `isc_dpb_quit_log`
    `static int` | `isc_dpb_remote_protocol`
    `static int` | `isc_dpb_reserved`
    `static int` | `isc_dpb_reset_icu`
    `static int` | `isc_dpb_sec_attach`
    `static int` | `isc_dpb_session_time_zone`
    `static int` | `isc_dpb_set_bind`
    `static int` | `isc_dpb_set_db_charset`
    `static int` | `isc_dpb_set_db_readonly`
    `static int` | `isc_dpb_set_db_replica`
    `static int` | `isc_dpb_set_db_sql_dialect`
    `static int` | `isc_dpb_set_page_buffers`
    `static int` | `isc_dpb_shutdown`
    `static int` | `isc_dpb_shutdown_delay`
    `static int` | `isc_dpb_specific_auth_data`
    `static int` | `isc_dpb_sql_dialect`
    `static int` | `isc_dpb_sql_role_name`
    `static int` | `isc_dpb_sweep`
    `static int` | `isc_dpb_sweep_interval`
    `static int` | `isc_dpb_sys_user_name`
    `static int` | `isc_dpb_sys_user_name_enc`
    `static int` | `isc_dpb_trace`
    `static int` | `isc_dpb_trusted_auth`
    `static int` | `isc_dpb_trusted_role`
    `static int` | `isc_dpb_user`
    `static int` | `isc_dpb_user_name`
    `static int` | `isc_dpb_utf8_filename`
    `static int` | `isc_dpb_verify`
    `static int` | `isc_dpb_wal_backup_dir`
    `static int` | `isc_dpb_wal_bufsize`
    `static int` | `isc_dpb_wal_chkptlen`
    `static int` | `isc_dpb_wal_grp_cmt_wait`
    `static int` | `isc_dpb_wal_numbufs`
    `static int` | `isc_dpb_worker_attach`
    `static int` | `isc_dpb_working_directory`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isc_dpb_cdd_pathname

          public static final int isc_dpb_cdd_pathname

      See Also:
        Constant Field Values

    - #### isc_dpb_allocation

          public static final int isc_dpb_allocation

      See Also:
        Constant Field Values

    - #### isc_dpb_journal

          public static final int isc_dpb_journal

      See Also:
        Constant Field Values

    - #### isc_dpb_page_size

          public static final int isc_dpb_page_size

      See Also:
        Constant Field Values

    - #### isc_dpb_num_buffers

          public static final int isc_dpb_num_buffers

      See Also:
        Constant Field Values

    - #### isc_dpb_buffer_length

          public static final int isc_dpb_buffer_length

      See Also:
        Constant Field Values

    - #### isc_dpb_debug

          public static final int isc_dpb_debug

      See Also:
        Constant Field Values

    - #### isc_dpb_garbage_collect

          public static final int isc_dpb_garbage_collect

      See Also:
        Constant Field Values

    - #### isc_dpb_verify

          public static final int isc_dpb_verify

      See Also:
        Constant Field Values

    - #### isc_dpb_sweep

          public static final int isc_dpb_sweep

      See Also:
        Constant Field Values

    - #### isc_dpb_enable_journal

          public static final int isc_dpb_enable_journal

      See Also:
        Constant Field Values

    - #### isc_dpb_disable_journal

          public static final int isc_dpb_disable_journal

      See Also:
        Constant Field Values

    - #### isc_dpb_dbkey_scope

          public static final int isc_dpb_dbkey_scope

      See Also:
        Constant Field Values

    - #### isc_dpb_number_of_users

          public static final int isc_dpb_number_of_users

      See Also:
        Constant Field Values

    - #### isc_dpb_trace

          public static final int isc_dpb_trace

      See Also:
        Constant Field Values

    - #### isc_dpb_no_garbage_collect

          public static final int isc_dpb_no_garbage_collect

      See Also:
        Constant Field Values

    - #### isc_dpb_damaged

          public static final int isc_dpb_damaged

      See Also:
        Constant Field Values

    - #### isc_dpb_license

          public static final int isc_dpb_license

      See Also:
        Constant Field Values

    - #### isc_dpb_sys_user_name

          public static final int isc_dpb_sys_user_name

      See Also:
        Constant Field Values

    - #### isc_dpb_encrypt_key

          public static final int isc_dpb_encrypt_key

      See Also:
        Constant Field Values

    - #### isc_dpb_activate_shadow

          public static final int isc_dpb_activate_shadow

      See Also:
        Constant Field Values

    - #### isc_dpb_sweep_interval

          public static final int isc_dpb_sweep_interval

      See Also:
        Constant Field Values

    - #### isc_dpb_delete_shadow

          public static final int isc_dpb_delete_shadow

      See Also:
        Constant Field Values

    - #### isc_dpb_force_write

          public static final int isc_dpb_force_write

      See Also:
        Constant Field Values

    - #### isc_dpb_begin_log

          public static final int isc_dpb_begin_log

      See Also:
        Constant Field Values

    - #### isc_dpb_quit_log

          public static final int isc_dpb_quit_log

      See Also:
        Constant Field Values

    - #### isc_dpb_no_reserve

          public static final int isc_dpb_no_reserve

      See Also:
        Constant Field Values

    - #### isc_dpb_user_name

          public static final int isc_dpb_user_name

      See Also:
        Constant Field Values

    - #### isc_dpb_user

          public static final int isc_dpb_user

      See Also:
        Constant Field Values

    - #### isc_dpb_password

          public static final int isc_dpb_password

      See Also:
        Constant Field Values

    - #### isc_dpb_password_enc

          public static final int isc_dpb_password_enc

      See Also:
        Constant Field Values

    - #### isc_dpb_sys_user_name_enc

          public static final int isc_dpb_sys_user_name_enc

      See Also:
        Constant Field Values

    - #### isc_dpb_interp

          public static final int isc_dpb_interp

      See Also:
        Constant Field Values

    - #### isc_dpb_online_dump

          public static final int isc_dpb_online_dump

      See Also:
        Constant Field Values

    - #### isc_dpb_old_file_size

          public static final int isc_dpb_old_file_size

      See Also:
        Constant Field Values

    - #### isc_dpb_old_num_files

          public static final int isc_dpb_old_num_files

      See Also:
        Constant Field Values

    - #### isc_dpb_old_file

          public static final int isc_dpb_old_file

      See Also:
        Constant Field Values

    - #### isc_dpb_old_start_page

          public static final int isc_dpb_old_start_page

      See Also:
        Constant Field Values

    - #### isc_dpb_old_start_seqno

          public static final int isc_dpb_old_start_seqno

      See Also:
        Constant Field Values

    - #### isc_dpb_old_start_file

          public static final int isc_dpb_old_start_file

      See Also:
        Constant Field Values

    - #### isc_dpb_drop_walfile

          public static final int isc_dpb_drop_walfile

      See Also:
        Constant Field Values

    - #### isc_dpb_old_dump_id

          public static final int isc_dpb_old_dump_id

      See Also:
        Constant Field Values

    - #### isc_dpb_wal_backup_dir

          public static final int isc_dpb_wal_backup_dir

      See Also:
        Constant Field Values

    - #### isc_dpb_wal_chkptlen

          public static final int isc_dpb_wal_chkptlen

      See Also:
        Constant Field Values

    - #### isc_dpb_wal_numbufs

          public static final int isc_dpb_wal_numbufs

      See Also:
        Constant Field Values

    - #### isc_dpb_wal_bufsize

          public static final int isc_dpb_wal_bufsize

      See Also:
        Constant Field Values

    - #### isc_dpb_wal_grp_cmt_wait

          public static final int isc_dpb_wal_grp_cmt_wait

      See Also:
        Constant Field Values

    - #### isc_dpb_lc_messages

          public static final int isc_dpb_lc_messages

      See Also:
        Constant Field Values

    - #### isc_dpb_lc_ctype

          public static final int isc_dpb_lc_ctype

      See Also:
        Constant Field Values

    - #### isc_dpb_cache_manager

          public static final int isc_dpb_cache_manager

      See Also:
        Constant Field Values

    - #### isc_dpb_shutdown

          public static final int isc_dpb_shutdown

      See Also:
        Constant Field Values

    - #### isc_dpb_online

          public static final int isc_dpb_online

      See Also:
        Constant Field Values

    - #### isc_dpb_shutdown_delay

          public static final int isc_dpb_shutdown_delay

      See Also:
        Constant Field Values

    - #### isc_dpb_reserved

          public static final int isc_dpb_reserved

      See Also:
        Constant Field Values

    - #### isc_dpb_overwrite

          public static final int isc_dpb_overwrite

      See Also:
        Constant Field Values

    - #### isc_dpb_sec_attach

          public static final int isc_dpb_sec_attach

      See Also:
        Constant Field Values

    - #### isc_dpb_disable_wal

          public static final int isc_dpb_disable_wal

      See Also:
        Constant Field Values

    - #### isc_dpb_connect_timeout

          public static final int isc_dpb_connect_timeout

      See Also:
        Constant Field Values

    - #### isc_dpb_dummy_packet_interval

          public static final int isc_dpb_dummy_packet_interval

      See Also:
        Constant Field Values

    - #### isc_dpb_gbak_attach

          public static final int isc_dpb_gbak_attach

      See Also:
        Constant Field Values

    - #### isc_dpb_sql_role_name

          public static final int isc_dpb_sql_role_name

      See Also:
        Constant Field Values

    - #### isc_dpb_set_page_buffers

          public static final int isc_dpb_set_page_buffers

      See Also:
        Constant Field Values

    - #### isc_dpb_working_directory

          public static final int isc_dpb_working_directory

      See Also:
        Constant Field Values

    - #### isc_dpb_sql_dialect

          public static final int isc_dpb_sql_dialect

      See Also:
        Constant Field Values

    - #### isc_dpb_set_db_readonly

          public static final int isc_dpb_set_db_readonly

      See Also:
        Constant Field Values

    - #### isc_dpb_set_db_sql_dialect

          public static final int isc_dpb_set_db_sql_dialect

      See Also:
        Constant Field Values

    - #### isc_dpb_gfix_attach

          public static final int isc_dpb_gfix_attach

      See Also:
        Constant Field Values

    - #### isc_dpb_gstat_attach

          public static final int isc_dpb_gstat_attach

      See Also:
        Constant Field Values

    - #### isc_dpb_set_db_charset

          public static final int isc_dpb_set_db_charset

      See Also:
        Constant Field Values

    - #### isc_dpb_gsec_attach

          public static final int isc_dpb_gsec_attach

      See Also:
        Constant Field Values

    - #### isc_dpb_address_path

          public static final int isc_dpb_address_path

      See Also:
        Constant Field Values

    - #### isc_dpb_process_id

          public static final int isc_dpb_process_id

      See Also:
        Constant Field Values

    - #### isc_dpb_no_db_triggers

          public static final int isc_dpb_no_db_triggers

      See Also:
        Constant Field Values

    - #### isc_dpb_trusted_auth

          public static final int isc_dpb_trusted_auth

      See Also:
        Constant Field Values

    - #### isc_dpb_process_name

          public static final int isc_dpb_process_name

      See Also:
        Constant Field Values

    - #### isc_dpb_trusted_role

          public static final int isc_dpb_trusted_role

      See Also:
        Constant Field Values

    - #### isc_dpb_org_filename

          public static final int isc_dpb_org_filename

      See Also:
        Constant Field Values

    - #### isc_dpb_utf8_filename

          public static final int isc_dpb_utf8_filename

      See Also:
        Constant Field Values

    - #### isc_dpb_ext_call_depth

          public static final int isc_dpb_ext_call_depth

      See Also:
        Constant Field Values

    - #### isc_dpb_auth_block

          public static final int isc_dpb_auth_block

      See Also:
        Constant Field Values

    - #### isc_dpb_client_version

          public static final int isc_dpb_client_version

      See Also:
        Constant Field Values

    - #### isc_dpb_remote_protocol

          public static final int isc_dpb_remote_protocol

      See Also:
        Constant Field Values

    - #### isc_dpb_host_name

          public static final int isc_dpb_host_name

      See Also:
        Constant Field Values

    - #### isc_dpb_os_user

          public static final int isc_dpb_os_user

      See Also:
        Constant Field Values

    - #### isc_dpb_specific_auth_data

          public static final int isc_dpb_specific_auth_data

      See Also:
        Constant Field Values

    - #### isc_dpb_auth_plugin_list

          public static final int isc_dpb_auth_plugin_list

      See Also:
        Constant Field Values

    - #### isc_dpb_auth_plugin_name

          public static final int isc_dpb_auth_plugin_name

      See Also:
        Constant Field Values

    - #### isc_dpb_config

          public static final int isc_dpb_config

      See Also:
        Constant Field Values

    - #### isc_dpb_nolinger

          public static final int isc_dpb_nolinger

      See Also:
        Constant Field Values

    - #### isc_dpb_reset_icu

          public static final int isc_dpb_reset_icu

      See Also:
        Constant Field Values

    - #### isc_dpb_map_attach

          public static final int isc_dpb_map_attach

      See Also:
        Constant Field Values

    - #### isc_dpb_session_time_zone

          public static final int isc_dpb_session_time_zone

      See Also:
        Constant Field Values

    - #### isc_dpb_set_db_replica

          public static final int isc_dpb_set_db_replica

      See Also:
        Constant Field Values

    - #### isc_dpb_set_bind

          public static final int isc_dpb_set_bind

      See Also:
        Constant Field Values

    - #### isc_dpb_decfloat_round

          public static final int isc_dpb_decfloat_round

      See Also:
        Constant Field Values

    - #### isc_dpb_decfloat_traps

          public static final int isc_dpb_decfloat_traps

      See Also:
        Constant Field Values

    - #### isc_dpb_clear_map

          public static final int isc_dpb_clear_map

      See Also:
        Constant Field Values

    - #### isc_dpb_parallel_workers

          public static final int isc_dpb_parallel_workers

      See Also:
        Constant Field Values

    - #### isc_dpb_worker_attach

          public static final int isc_dpb_worker_attach

      See Also:
        Constant Field Values

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.